Subject: Re: Control-O hangs rxvt
From: David Starks-Browning <[email-masked]>
To: "Christopher Glaeser" <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Apr 2002 11:52:37 +0100
Newsgroups: gmane.os.cygwin

On Monday 15 Apr 02, Christopher Glaeser writes:
> > > Control-O in emacs via a telnet session hangs rxvt.  Is there a way to
> remap
> > > Control-O so that it can be used in emacs to insert a new line?  If not,
> is
> > > there a way to un-hang rxvt after using Contorl-O?
> >
> > I don't have any problem using C-o in emacs in rxvt.  You'll have to
> > solve the problem yourself or provide a lot more detail than what you
> > supplied here.
> 
> Thanks for responding.  I assumed this was a common problem because I got
> quite a few hits on google regarding ^o and rxvt.  Unfortunately, I haven't
> found any solutions posted.  In addition, since my posting to this
> newsgroup, rxvt users with the same problem have been contacting me
> privately asking me if I found a solution yet.  Perhaps a few more details
> will help isolate the problem.
> 
> Regarding your use of C-o, emacs, and rxvt, did you also include a telnet
> session?  Here is the sequence we are using to cause the problem.
> 
> - Starting from Win XP
> - cygwin
> - rxvt
> - unset DISPLAY
> - telnet linux-system
> - emacs foo
> - C-o
> 
> The rxvt session is now hung, and I don't know how to un-hang it except to
> kill the rxvt session.  Thanks in advance for a solution.

Well, a "few more details" is an understatement, because this doesn't
really tell us much more than we could deduce from your first message.

I am unable to repeat this, following your recipe, except in my case I
am using WinNT4.  (And please don't ask if I missed something like
"telnet" because if I said I followed it then I followed it.)

I am afraid you and others who are experiencing this will have to
debug it, or otherwise figure out why it fails for you and not for us.
It is almost certainly a problem with your local or remote setup.

Since you don't even say which versions of cygwin, rxvt, telnet
(Cygwin or Windows?) or emacs you are using, or what your TERM or stty
settings are, I don't think any more "me too" or "me neither" replies
on this thread will help to pin it down.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/